class Constants():
    TOPIC_LIVE      = 'live'
    TOPIC_REPORT    = 'report'
    TOPIC_POS       = 'pos'
    TOPIC_APP       = 'app'


class ESObjectType():
    STREAM          = 'strm'
    GATEWAY         = 'gateway'
    USER            = 'user'
    ACTUATOR        = 'actr'
    SENSOR          = 'sens'


class StreamSetting():
    POS             = 'pos'
    USE_TCP         = 'usetcp'
    NO_FORWARD      = 'noforward'
    NO_RECORD       = 'norecord'
    FORWARD_AUDIO   = 'forwardaudio'
    CHUNK_LENGTH    = 'chunklength'
    TIMEOUT         = 'timeout'
    WITH_AUDIO      = 'withaudio'
    LOG             = 'log'
    URL             = 'url'
    REALTIME        = 'realtime'
    FOR             = 'for'
    HIDE            = 'hide'


class GatewaySetting():
    HOST            = 'host'
    PORT            = 'port'
    DATA_PORT       = 'dataport'

    ES_GATEWAY_DATA = 'es-gateway-data'


Stream_DataReplacement = {
    r'{EQL}': '=',
    r'{SQR}': '=',
    r'{CLN}': ';'
}